<?php
/**
 * Expert Cleaning functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package Expert Cleaning
 */

if ( ! defined( 'EXPERT_CLEANING_VERSION' ) ) {
	// Replace the version number of the theme on each release.
	define( 'EXPERT_CLEANING_VERSION', wp_get_theme()->get( 'Version' ) );
}

if ( ! function_exists( 'expert_cleaning_setup' ) ) :
	/**
	 * Sets up theme defaults and registers support for various WordPress features.
	 *
	 * Note that this function is hooked into the after_setup_theme hook, which
	 * runs before the init hook. The init hook is too late for some features, such
	 * as indicating support for post thumbnails.
	 */
	function expert_cleaning_setup() {

		load_theme_textdomain( 'expert-cleaning', get_template_directory() . '/languages' );

		// Add default posts and comments RSS feed links to head.
		add_theme_support( 'automatic-feed-links' );

		add_theme_support( 'align-wide' );

		add_theme_support( 'woocommerce' );

		// Add support for block styles.
		add_theme_support( 'wp-block-styles' );

		// Enqueue editor styles.
		add_editor_style( 'style.css' );

		// Add support for core custom logo.
		add_theme_support(
			'custom-logo',
			array(
				'height'      => 192,
				'width'       => 192,
				'flex-width'  => true,
				'flex-height' => true,
			)
		);

        add_theme_support( 'custom-background', apply_filters( 'expert_cleaning_custom_background', array(
            'default-color' => 'ffffff',
            'default-image' => '',
        )));

		// Experimental support for adding blocks inside nav menus
		add_theme_support( 'block-nav-menus' );

		// Add support for experimental link color control.
		add_theme_support( 'experimental-link-color' );

	}
endif;
add_action( 'after_setup_theme', 'expert_cleaning_setup' );

function expert_cleaning_scripts() {
    wp_enqueue_style('expert-cleaning-style', get_stylesheet_uri(), array() );
    wp_enqueue_script('jquery-wow', get_template_directory_uri() . '/js/wow.js', array('jquery'));
    wp_enqueue_style('animate-css', get_template_directory_uri() . '/css/animate.css');

	//font-awesome
	wp_enqueue_style( 'fontawesome', get_template_directory_uri() . '/font-awesome/css/all.css', array(), '6.7.0' );

    wp_enqueue_style( 'owl.carousel-style', get_template_directory_uri().'/css/owl.carousel.css', array(), EXPERT_CLEANING_VERSION );
	wp_enqueue_script( 'owl.carousel-js', get_template_directory_uri(). '/js/owl.carousel.js', array('jquery') ,EXPERT_CLEANING_VERSION,true);

    // Custom scripts should depend on JS and jQuery
    wp_enqueue_script('expert-cleaning-custom-scripts', get_template_directory_uri() . '/js/custom.js',  array('jquery'),'' ,true );
    wp_style_add_data( 'expert-cleaning-style', 'rtl', 'replace' );
}
add_action( 'wp_enqueue_scripts', 'expert_cleaning_scripts' );

/**
 * Enqueue block editor style
 */
function expert_cleaning_block_editor_styles() {

	wp_enqueue_style( 'expert-cleaning-block-patterns-style-editor', get_theme_file_uri( '/css/block-editor.css' ), false, '1.0', 'all' );
}
add_action( 'enqueue_block_editor_assets', 'expert_cleaning_block_editor_styles' );


function expert_cleaning_init_setup() {

	require_once get_theme_file_path( '/inc/customizer.php' );

	// Add block patterns
	require get_template_directory() . '/inc/block-patterns.php';

	/**
     * Demo Import
     */
    require get_parent_theme_file_path( '/inc/get-started/demo-import-settings.php' );

    if ( ! defined( 'EXPERT_CLEANING_FREE_THEME_URL' ) ) {
        define( 'EXPERT_CLEANING_FREE_THEME_URL', 'https://www.seothemesexpert.com/products/expert-cleaning-theme' );
    }
    if ( ! defined( 'EXPERT_CLEANING_PRO_THEME_URL' ) ) {
        define( 'EXPERT_CLEANING_PRO_THEME_URL', 'https://www.seothemesexpert.com/products/cleaning-wordpress-theme' );
    }
    if ( ! defined( 'EXPERT_CLEANING_FREE_DOC_URL' ) ) {
        define( 'EXPERT_CLEANING_FREE_DOC_URL', 'https://demo.seothemesexpert.com/documentation/expert-cleaning-free/' );
    }
    if ( ! defined( 'EXPERT_CLEANING_DEMO_THEME_URL' ) ) {
        define( 'EXPERT_CLEANING_DEMO_THEME_URL', 'https://demo.seothemesexpert.com/expert-cleaning/' );
    }
    if ( ! defined( 'EXPERT_CLEANING_RATE_THEME_URL' ) ) {
        define( 'EXPERT_CLEANING_RATE_THEME_URL', 'https://wordpress.org/support/theme/expert-cleaning/reviews/' );
    }
    if ( ! defined( 'EXPERT_CLEANING_SUPPORT_THEME_URL' ) ) {
        define( 'EXPERT_CLEANING_SUPPORT_THEME_URL', 'https://wordpress.org/support/theme/expert-cleaning/' );
    }
    if ( ! defined( 'EXPERT_CLEANING_THEME_BUNDLE_URL' ) ) {
        define( 'EXPERT_CLEANING_THEME_BUNDLE_URL', 'https://www.seothemesexpert.com/products/wordpress-theme-bundle' );
    }
}
add_action( 'after_setup_theme', 'expert_cleaning_init_setup' );


// Show Admin Notice
function expert_cleaning_promo_notice() {
    if (get_option('expert_cleaning_notice_dismissed')) {
        return;
    }

    if (isset($_GET['page']) && $_GET['page'] === 'expertcleaning-wizard') {
        return;
    }

    $expert_cleaning_theme = wp_get_theme();
    $expert_cleaning_theme_title = $expert_cleaning_theme->get( 'Name' );
    $expert_cleaning_theme_version = $expert_cleaning_theme->get( 'Version' );

    ?>
    <div class="notice expert-cleaning-notice is-dismissible">
        <div>
            <h3>
                <span><?php echo esc_html( '(Version: ' . $expert_cleaning_theme_version . ')' ); ?></span><br>
                <?php esc_html_e( 'Thank you for choosing,', 'expert-cleaning'); ?>
                <?php echo esc_html( $expert_cleaning_theme_title ); ?> <?php esc_html_e( '!!!', 'expert-cleaning'); ?>
            </h3>
            <p><?php esc_html_e( 'Welcome! You can now easily start building your website using our beautiful and user-friendly themes. No need to worry about setup — with our one-click demo importer, your site can look just like the demo in minutes. All the tools and information you need to get started are right here!', 'expert-cleaning'); ?></p>
            <a class="button button-primary expert-cleaning-buy-now" href="<?php echo esc_url(admin_url('themes.php?page=expertcleaning-wizard')); ?>" target="_blank">
                <?php esc_html_e( 'Get Started', 'expert-cleaning') ?>
            </a>
            <a class="button button-primary expert-cleaning-bundle-button" target="_blank" href="<?php echo esc_url( EXPERT_CLEANING_THEME_BUNDLE_URL ); ?>">
                <?php echo esc_html__( 'Get All 60+ Themes @ $79', 'expert-cleaning' ); ?>
            </a>
        </div>
        <div class="expert-cleaning-image-wrap">
            <img src="<?php echo esc_url(get_stylesheet_directory_uri() . '/screenshot.png'); ?>">
        </div>
        <canvas id="expert-cleaning-notice-confetti"></canvas>
    </div>
    <?php
}
add_action('admin_notices', 'expert_cleaning_promo_notice');

add_action('wp_ajax_expert_cleaning_dismiss_notice', 'expert_cleaning_dismiss_notice');
function expert_cleaning_dismiss_notice() {
    update_option('expert_cleaning_notice_dismissed', true);
    wp_send_json_success();
}

add_action('after_switch_theme', 'expert_cleaning_reset_notice_on_activation');
function expert_cleaning_reset_notice_on_activation() {
    delete_option('expert_cleaning_notice_dismissed');
}

function expert_cleaning_enqueue_admin_assets() {
    wp_enqueue_script(
        'expert-cleaning-confetti',
        get_template_directory_uri() . '/inc/get-started/assets/js/confetti/confetti.min.js',
        ['jquery'],
        null,
        true
    );

    wp_enqueue_script(
        'expert-cleaning-notice-confetti-js',
        get_template_directory_uri() . '/inc/get-started/assets/js/plugin-update-notice.js',
        ['expert-cleaning-confetti'],
        null,
        true
    );

    wp_enqueue_script(
        'expert-cleaning-notice-dismiss',
        get_template_directory_uri() . '/inc/get-started/assets/js/notice-dismiss.js',
        ['jquery'],
        null,
        true
    );
}
add_action('admin_enqueue_scripts', 'expert_cleaning_enqueue_admin_assets');